random selection broken in master

2013-05-09 05:58 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16680

Description

both ftools random selection tools are not working in master.

The normal one does nothing, the other (within subsets) resturns

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py", line 77, in accept

    self.compute(inVect, uidField, value, perc, self.progressBar)

  File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py", line 84, in compute

    mlayer.removeSelection(True)

TypeError: QgsVectorLayer.removeSelection(): too many arguments

Associated revisions

Revision adb26534 - 2013-05-11 05:14 PM - vinayan Parameswaran

Merge pull request #585 from vinayan/randomsel

[Fix #7785] - ftools-random selection broken in master

History

#1 - 2013-05-11 06:53 AM - vinayan Parameswaran

- Assignee set to vinayan Parameswaran

Hi Giovanni,

Vector -> Research Tools -> Random selection is working fine for me

Only Random selection within subsets has this issue..right?

#2 - 2013-05-11 08:15 AM - vinayan Parameswaran

- Status changed from Open to Closed

Fixed in changeset commit:"adb2653402fd3283f55fdc046bb1474e09231096".

#3 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
